---
tags: 
  - Points
description: 
  Returns the same as /points, but with displacements included.  Returns points within the provided GeoJSON polygon provided in the body.
  <br/><strong>REQUIRED</strong> `coordinates` in SRID=4326.
  <br/><strong>REQUIRED</strong> `type` expected to be "Polygon" or "Point".
  <br/><strong>OPTIONAL</strong> `radius` (metres) required if `type` is "Point".
  <br/><strong>OPTIONAL</strong> `layers` array of strings to choose the layers.  Defaults to `["asc", "desc"]` if not set.
  <br/><strong>OPTIONAL</strong> `limit` restrict the number of points in the response.  There is a hard limit of 5000.
  <br/><strong>OPTIONAL</strong> `suppress_geometry` boolean to control whether the requested polygon is returned in the response.
  <br/><strong>OPTIONAL</strong> `start_date`, `end_date` integers to recalculate the velocity value.  If invalid dates are entered, they are ignored (e.g. end date before start date).  If the user doesn't have access to the end date, the latest date they have access to will be used instead.
  <br/><br/>If the user does not have access to the geometry, only the coordinates and ID are returned.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
      "type": "Point",
      "radius": 10,
      "coordinates": 
              [
                  -0.0037068128585815434,
                  51.51954215811389
              ],
      "suppress_geometry": false,
      "layers": ["asc", "desc"],
      "limit": 1
      }
  - in: query
    name: start_date
    type: int
    required: false
  - in: query
    name: end_date
    type: int
    required: false      
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
        geometry:
          type: object
          example: { "type": "Point", "coordinates": [-0.0037068128585815434, 51.51954215811389], "suppress_geometry": false, "layers": ["asc", "desc"] }
        points:
          type: object
          example: { "coordinates": [0, 1], "displacements": {"20230101": 1, "20230102": 2}, "id": "132A_03817_131313_6111_35436", "rmse": 1.1, "velocity": 1.2 }
  204:
    schema:
      type: object

  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'

